import re

from setuptools import setup, find_packages

with open('pyrest/__init__.py', 'r') as fd:
    version = re.search(r'^__version__\s*=\s*[\'"]([^\'"]*)[\'"]',
                        fd.read(), re.MULTILINE).group(1)

setup(name='vito-pyrest',
      version=version,
      author='Bram Janssen',
      author_email='bram.janssen@vito.be',
      description='RESTful API service built in Python. This API focusses on image manipulations.',
      url='',
      packages=find_packages(),
      package_data={'pyrest': ['assets/fonts/*.ttf', 'assets/logos/*.png']},
      install_requires=['imageio', 'datetime', 'multiprocessing', 'pillow', 'Flask==0.12.2', 'flask-restplus==0.12.1', 'six==1.11.0', 'requests', 'attrs==19.1.0', 'Click==7.0', 'click-plugins==1.0.4', 'cligj==0.5.0', 'elasticsearch==6.3.1', 'Fiona==1.7.11post1', 'geojson==2.4.1', 'geopandas==0.3.0', 'munch==2.3.2', 'numpy==1.16.2', 'pandas==0.24.2', 'pygdal==2.3.2.4', 'pyproj==2.1.1', 'python-dateutil==2.8.0', 'pytz==2018.9', 'scipy==1.2.1', 'Shapely==1.6.4.post2', 'six==1.12.0', 'urllib3==1.24.1']
      )
